# Function DurationFilter

- DurationFilter(gettextCatalog): duration

- A filter used to format a time duration in seconds into a more readable form. Only the two largest units will be shown.

  Examples: {{42 | ngeoDuration}} => 42 seconds {{132 | ngeoDuration}} => 2 minutes 12 seconds {{3910 | ngeoDuration}} => 1 hour 5 minutes -> Note: the remaining 10 seconds will be dropped

  #### Parameters

  - ##### gettextCatalog: gettextCatalog

    Gettext catalog.

  #### Returns duration

  Function used to format a time duration in seconds into a string.

  #### Ng Inject

  #### Ngdoc

  filter

  #### Ngname

  ngeoDuration

  - Defined in src/misc/filters.js:470

Generated using TypeDoc